GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
init.c File Reference
`#include <grpc/support/port_platform.h>`
`#include <grpc/census.h>`
`#include <grpc/grpc.h>`
`#include <grpc/support/time.h>`
`#include "src/core/channel/channel_stack.h"`
`#include "src/core/client_config/resolver_registry.h"`
`#include "src/core/client_config/resolvers/dns_resolver.h"`
`#include "src/core/client_config/resolvers/sockaddr_resolver.h"`
`#include "src/core/debug/trace.h"`
`#include "src/core/iomgr/iomgr.h"`
`#include "src/core/profiling/timers.h"`
`#include "src/core/surface/call.h"`
`#include "src/core/surface/init.h"`
`#include "src/core/surface/surface_trace.h"`
`#include "src/core/transport/chttp2_transport.h"`
`#include "src/core/transport/connectivity_state.h"`

## Functions
void | grpc_init (void)
| Initialize the grpc library. More...
void | grpc_shutdown (void)
| Shut down the grpc library. More...
int | grpc_is_initialized (void)

## Function Documentation

void grpc_init | ( | void |  | ) |

Initialize the grpc library.

It is not safe to call any other grpc functions before calling this. (To avoid overhead, little checking is done, and some things may work. We do not warrant that they will continue to do so in future revisions of this library).

int grpc_is_initialized | ( | void |  | ) |

void grpc_shutdown | ( | void |  | ) |

Shut down the grpc library.

No memory is used by grpc after this call returns, nor are any instructions executing within the grpc library. Prior to calling, all application owned grpc objects must have been destroyed.